﻿using Syncfusion.Windows.Shared;
using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SplitButtonSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : RibbonWindow
    {
        public MainWindow()
        {
            InitializeComponent();    
        }

        private void CH1_MouseEnter(object sender, MouseEventArgs e)
        {
            CH1.IsDropDownOpen = true;
            Border border = VisualUtils.FindDescendant(CH1 as Visual, typeof(Border)) as Border;
            border.MouseLeave += Border_MouseLeave;
        }

        private void Border_MouseLeave(object sender, MouseEventArgs e)
        {
            CH1.IsDropDownOpen = false;
        }

        private void Popup_Opened(object sender, EventArgs e)
        {
            Popup p = sender as Popup;
            
            if (p.IsMouseOver || CH1.IsMouseOver)
                CH1.IsDropDownOpen = true;
        }

        private void CH1_Loaded(object sender, RoutedEventArgs e)
        {
            Popup popup = VisualUtils.FindDescendant((CH1) as Visual, typeof(Popup)) as Popup;
            popup.Opened += Popup_Opened;
            popup.MouseLeave += Popup_MouseLeave;
        }

        private void Popup_MouseLeave(object sender, MouseEventArgs e)
        {
                CH1.IsDropDownOpen = false;
        }

    }
}
